.TH COASTMANAGER l "1 Aug 1993"
.SH NAME
coastmanager \- To maintain coastline data base
.SH SYNOPSIS
\fBcoastmanager\fP \fB\-N\fIbin_coast\fP [ \fB\-A\fP\fIascii_coast\fP ] [ \fB\-C\fP ] [ \fB\-D\fP ] [ \fB\-L\fP ]
.SH DESCRIPTION
coastmanager translates between the binary (netDDF) and ascii representations of the
coastline and political borders data bases.  To edit these data bases you must first make ascii
dumps of the binary data bases (Either the system default files or your own verisons).
After creating your own binary netCDF databases,
you may force the \fBGMT-SYSTEM\fP programs to use these files rather than the default
file by including the line "COASTLINE = <your_directory>" in the .gmtdefaults file.  GMT will
then look for the two files \fBcoastbins.cdf\fP and \fBborders.cdf\fP in that directory instead of the
default directory.
.br
	No space between the option flag and the associated arguments.  Use upper case for the
option flags and lower case for modifiers.
.TP
.B \-N
The name of the binary netCDF coastline [or political boundary] data base.
.SH OPTIONS
.TP
.B \-A
The name of the ascii representation of the coastline [or political boundary] data base.  If no file is given, 
standard input (for \fB\-C\fP) or standard output (for \fB\-D\fP) is assumed.
.TP
.B \-C
Will create a binary netCDF data base from the ascii file given.  If \fB\-A\fP is given without
any file name, standard input will be read.
.TP
.B \-D
Will dump an ascii file from the binary netCDF coastline [or political boundary] data base given.  If \fB\-N\fP is given without
any file name, the \fBGMT-SYSTEM\fP data base will be chosen.
.TP
.B \-L
Selects the political boundary data base format.  [Default is coastline format].
.SH TO UPDATE THE COASTLINE DATA BASES
Segments of coastlines are stored in 10 by 10 degree bins.
To include more accurate coastlines you will need to follow these steps:
.TP
.B 1
Take the new coastline segment and "bin" it, i.e., temporarily create separate files
for each 10 by 10 degree bin crossed and store only the part of the segment that goes through
each bin.  For reasons explained below, these files will have 3 columns that contain
longitude, latitude, and flag.  For now, set all flags to 0.
.TP
.B 2
When crossing from one bin to the next, you must compute the crossover
(lon,lat) point and add it to both bins.  (If a corner is cut, you may have to
add it to a third bin.)
.TP
.B 3
The coastline data base is used to create filled polygons that will paint the continents
in the selected color or grayshade.  This brings up two issues:  (i) It will often be
necessary to add one or more bin-corner points to close the polygon correctly.  Such
guide points are not part of the coastline and must be flagged.  Set flag to 1 for
these points.  (ii)  Sometimes the coastline exits a bin, but later enters the same
bin.  We do not want to draw a line between the exit/enter points.  Set flag to 2 when the
line enters the bin (not counting the start of the segment).
.TP
.B 4
The ascii coastline file contains headers.  Following the bin header are four
values.  They are the bin_nr, left_longitude, bottom_latitude, and file_record.  Next line
repeats the bin_nr and gives the number of segments for this bin.  Locate
the bin you want to update, and find the segment that you want to replace.  Each
segment has a sub-header that indicates number of points and type (0 = land, 1 = island,
2 = lake).  If this isn`t obvious, you might want to plot the segments separately to pin down which
segment it is.  Having done so, cut the old segment out of the file and include the
new segment.  You don't have to set the number of points correctly; \fBcoastmanager\fP will compute
new number of points and record numbers when creating the binary netCDF file.
.TP
.B 5
Create the binary netCDF coastline data base using the create mode (\fB\-C\fP).
.SH TO UPDATE THE POLITICAL DATA BASE
Use the \fB\-L\fP option to signal that all i/o is related to the political
boundary data base format rather than the coastline format which is the default.
Political boundaries are just one large file with several individual segments
not necessarily sorted in any useful order.
.SH RESTRICTIONS
Due to the present limitations of some older PostScript interpreters, the length of each
path should not exceed ~1000 points.  This is a silly limitation that hopefully
will go away with time.  A very accurate coastline normally contains more than
1000 points inside a 10 by 10 degree bin.  The way to bin such segments is to
break the segment into smaller pieces and use guidepoints as intermediate anchor
points.  E.g., for a coastline that goes roughly north-south, one solution would
be to use the first 990 points, then add a new guide point (flag = 1) with the same latitude
as the last genuine point (P) on the segment but
with longitude = western boundary of bin.  This is the end of the first part, and you
must add additional guide points to create the necessary polygon.  The next piece starts
with the extra guide point created above, then repeats the last genuine coast point (P),
before proceeding with the next ~1000 points.  Repeat until the entire segment has been
binned.  \fBIMPORTANT:\fB The beginning (and/or end) point (P) of these segmented lines must
have flag = 3 to signal that they must always be considered part of the line
even when \fBpscoast\fP is used with the \fB\-D\fP option.
.SH BUGS
This system is agreeably not very user-friendly, but at least it gives the user
unlimited power to modify the data base.  We expect to have a better coastline
database available for version 3.0.
.SH SEE ALSO
gmtdefaults, gmtsystem
.SH REFERENCES
Wessel, P., and W. H. F. Smith, 1993, The GMT-SYSTEM v. 2.1.4 Technical Reference & Cookbook,
SOEST/NOAA.
.br
Wessel, P., and W. H. F. Smith, 1991, Free software helps map and display data, EOS Trans. AGU, 72, 441.
.br
